package speiger.src.coreengine.utils.collections.registries.simple;

import speiger.src.coreengine.assets.AssetLocation;

public interface IRegistryEntry<T extends IRegistryEntry<T>>
{
	public AssetLocation getName();
	
	public default T setName(String domain, String name) { return setName(AssetLocation.of(domain, name));}
	public T setName(AssetLocation name);
	
	public void setId(IRegistry<T> registry, int registryId);
}